<template>
  <div>
    <div class="slides-section-item">
      <div class="info-ctn">
        <div class="slide-cat">
          <img
            class="slide-cat-icon"
            :src="require('~/assets/images/white-star.svg')"
          />
          {{ item.category }}
        </div>
        <AppTitle class="text--white slide-title" :title="item.title" />
        <div class="slide-desc-ctn">
          <div class="slide-desc" v-html="item.description"></div>
        </div>
        <a
          class="slides-section-button"
          :href="item.url"
          @click.prevent="
            $emit('click-slide', {
              label: `${item.category}_${item.title}`,
              url: item.url,
              item
            })
          "
        >
          <AppButton :theme="btnTheme">{{ btnText }}</AppButton>
        </a>
      </div>
      <div class="img-ctn" :style="`background-image:url('${image}')`"></div>
    </div>
  </div>
</template>

<script>
import AppButton from '~/components/ui/AppButton'
import AppTitle from '~/components/ui/AppTitle'

export default {
  components: {
    AppButton,
    AppTitle
  },
  props: {
    item: {
      type: Object,
      required: true
    }
  },
  computed: {
    image() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/images/${this.item.modelName}/${this.item.id}.jpg?v=${this.item.version}`
    },
    btnTheme() {
      return this.$utils.aboArea() ? 'secondary' : ''
    },
    btnText() {
      if (this.item.btnText === null) {
        return this.$t('catalog.discover')
      }
      return this.item.btnText
    }
  }
}
</script>

<style lang="scss" scoped>
.slides-section-item {
  height: 600px;
  color: #fff;
  display: flex;

  .info-ctn {
    position: relative;
    display: flex;
    flex-direction: column;
    flex: 4;
    background-color: #272626;
    padding: 2rem;

    .slide-cat {
      margin-bottom: 2rem;
      text-transform: uppercase;
      font-family: DINCond-Bold;
      font-size: 14px;

      .slide-cat-icon {
        display: inline-block;
        margin-right: 0.2rem;
        height: 13px;
      }
    }

    .slide-title {
      margin-bottom: 1rem;
    }

    .slide-desc-ctn {
      position: relative;
      overflow: hidden;
      margin-bottom: 95px;
      flex: auto;

      .slide-ctn-overlay {
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 3rem;

        background: -moz-linear-gradient(
          bottom,
          rgb(39, 38, 38) 0%,
          rgba(0, 0, 0, 0) 100%
        );
        background: -webkit-linear-gradient(
          bottom,
          rgb(39, 38, 38) 0%,
          rgba(0, 0, 0, 0) 100%
        );
        background: linear-gradient(
          to top,
          rgb(39, 38, 38) 0%,
          rgba(0, 0, 0, 0) 100%
        );
      }

      .slide-desc {
        line-height: 30px;
      }
    }

    .slides-section-button {
      position: absolute;
      width: 100%;
      bottom: 2rem;
      left: 2rem;
    }
  }

  .img-ctn {
    object-fit: contain;
    flex: 6;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
  }
}
</style>
